[lfs-book] [LFS Trac] #3569: LTO is broken with gcc-4.9.0 and binutils 2.24

LFS Trac trac at linuxfromscratch.org
Thu May 1 10:01:47 PDT 2014


#3569: LTO is broken with gcc-4.9.0 and binutils 2.24
--------------------------+------------------------
 Reporter:  mkaracsony81  |      Owner:  lfs-book@…
     Type:  enhancement   |     Status:  new
 Priority:  normal        |  Milestone:  7.6
Component:  Book          |    Version:  SVN
 Severity:  normal        |   Keywords:
--------------------------+------------------------
 I have a suggestion to fix this issue. Build binutils with the attached
 patch which will force binutils to load the gcc lto plugin from /usr/lib
 /bfd-plugins. And finally create a symlink:

 {{{
 install -dm644 /usr/lib/bfd-plugins
 ln -sfv "/usr/lib/gcc/x86_64-unknown-linux-
 gnu/${GCCSHORTVER}/liblto_plugin.so.0.0.0" /usr/lib/bfd-plugins/
 }}}

 I know that an LTO-enabled gcc is not part of the book yet, but please
 consider adding these instructions to it.

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/lfs/ticket/3569>
LFS Trac <http://wiki.linuxfromscratch.org/lfs/>
Linux From Scratch: Your Distro, Your Rules.


More information about the lfs-book mailing list